Subject: Re: [PATCH 3/3] check-ref-format doc: --branch validates and expands <branch>

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Oct 2017 05:55:18 +0900

Jonathan Nieder <[email-masked]> writes:

> From: Junio C Hamano <[email-masked]>
>
> "git check-ref-format --branch $name" feature was originally
> introduced (and was advertised) as a way for scripts to take any
> end-user supplied string (like "master", "@{-1}" etc.) and see if it
> is usable when Git expects to see a branch name, and also obtain the
> concrete branch name that the at-mark magic expands to.
>
> Emphasize that "see if it is usable" role in the description and
> clarify that the @{...} expansion only occurs when run from within a
> repository.
>
> [jn: split out from a larger patch]
>
> Helped-by: Jeff King <[email-masked]>
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---

Missing sign-off, unlike the other two, intended?

I'll take these three to replace what I tentatively queued, not
necessarily because I like the change in 1/3 better, but because
these are explained much better; besides I prefer a version that at
least two people deeply looked at.

Thanks.